#include "MenuTextAtk_Player1Keyboard.h"

InputSetting_Keyboard* MenuTextAtk_Player1Keyboard::GetInputSetting()
{
	return gameFunc->GetInputSetting_Player1Keyboard ? gameFunc->GetInputSetting_Player1Keyboard() : nullptr;
}

SDL_Scancode* MenuTextAtk_Player1Keyboard::GetBind(InputSetting_Keyboard* setting)
{
	return &setting->op_atk;
}

std::shared_ptr<Entity> CreateMenuTextAtk_Player1Keyboard()
{
	return std::make_shared<MenuTextAtk_Player1Keyboard>();
}

